LOGINS(1)

NAME
logins - list login information

SYNOPSIS
logins [-admopstux] [-g group[,...]] [-l login[,...]]

DESCRIPTION
Logins lists the system's login database.

The logins command accepts the following options:

-a  Add the days of inactivity the password remains valid, and the password expiration date to the output.

-d  Show logins with duplicate uids only.

-m  For every login, show all of its group memberships.

-o  Separate output by colons.

-p  Show logins with an empty password string only.

-s  Show system logins only.

-t  Sort output by login name instead of used id.

-u  Show regular user logins only.

-x  Extended format. Adds the following fields for each login: home directory, login shell, password status (PS for password, NP for no password, LK for locked), date of last password change formatted as mmddyy, minimal number of days between password changes, maximum number of days between password changes, days before an expiration warning message is issued to the user.

-g group,[...]
    Restrict output to the given group. Multiple groups may be given, separated by commas.

-l login,[...]
    Restrict output to the given login. Multiple logins may be given, separated by commas.

FILES

/etc/passwd
    user database

/etc/group
    group database

/etc/shadow
    password and aging information database

SEE ALSO
listusers(1), passwd(5), shadow(5)

NOTES
System logins are the ones whose user id is below 100.

Reading password and aging information requires special privilege.